Bug 1034492 - Review Request: asciinema - Record and upload terminal sessions
Review Request: asciinema - Record and upload terminal sessions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-25 18:43 EST by Jakub Jedelsky
Modified: 2014-03-01 02:10 EST (History)
5 users (show)

See Also:
Fixed In Version: asciinema-0.9.7-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 22:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub Jedelsky 2013-11-25 18:43:17 EST
Spec URL: http://s.stderr.cz/rpm/asciinema.spec
SRPM URL: http://s.stderr.cz/rpm/asciinema-0.9.7-1.fc19.src.rpm

Description: Asciinema is a free and open source solution for recording the terminal sessions and sharing them on the web.

Fedora Account System Username: kubo
Review Notes: it is my (almost) first package, so I'm seeing for a sponsor

Rpmlint:
$ rpmlint /var/lib/mock/fedora-19-x86_64/result/asciinema-0.9.7-1.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /var/lib/mock/fedora-19-x86_64/result/asciinema-0.9.7-1.fc19.noarch.rpm 
asciinema.noarch: W: no-manual-page-for-binary asciinema
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Christopher Meng 2013-11-25 19:06:40 EST
1. This package can be built under python2/3 simultaneously.

So it's better to name this package python-asciinema and build a python3 subpackage python3-asciinema.

BTW you can use source from pypi. The information above is also documented at there.

https://pypi.python.org/pypi/asciinema

2. Because you've written:

BuildArch:	noarch

It's worthless to write:

CFLAGS="$RPM_OPT_FLAGS"

3. Remove %clean section and %defattr(-,root,root,-) in %files section

4. %{__python} --> %{__python2}

%{python_sitelib} --> %{python2_sitelib}
Comment 2 Jakub Jedelsky 2013-11-26 08:29:40 EST
Thanks for first review Christopher.

I know about python 3 support and want to add it, but I'm not sure with naming and file handling.

Naming: 
This package isn't just a python module but a utility/program, so it looks weird to named it python-asciinema to me. 

Maybe we can named it asciinema and ( python3-asciinema or asciinema-python3 ) ? 

File handling:
I tried to add python3 support, but there is problem with /usr/bin/asciinema file - the main script file - which should be included in both (python and python3) rpms. So one should install just one of them or .. i'm not sure how to solve this.

2., 3. and 4. are included in this pre-python3 version of SPEC: https://gist.github.com/jakubjedelsky/7654715
Comment 3 Christopher Meng 2013-11-28 23:05:08 EST
I came up with a thought, as far as I can know, Fedora will move to python3 stack soon after 2~3 releases, so I think we just need to have one package "asciinema" built upon python2, when Fedora moves to python3, we rebuild itupon python3.

The reason of not keeping python3-asciinema is that I think this is a very weird and unwise naming way. Users just want to install asciinema itself and want to use it as soon as possible, they don't need to care about whether it's built upon py2 or py3, so I think we don't need to waste space in the repo ;)
Comment 4 Marcin Kulik 2013-12-01 06:40:36 EST
Asciinema creator here.

Jakub: thanks for submitting asciinema package request, highly appreciated!

Re naming. Like Christopher wrote users don't care if it runs on python2 or python3 as long as it just works for them. This python package doesn't provide any public modules that anyone would use in their python programs, its sole purpose is to distribute the cli app. I am making sure that asciinema works correctly on 4 python versions (2.6, 2.7, 3.2 and 3.3) by having test suite configured on travis-ci.org (https://travis-ci.org/sickill/asciinema).
Comment 5 Jakub Jedelsky 2013-12-02 10:03:36 EST
Marcin: you're welcome. It's my first package, so I hope everything will be ok :)

Well, so I made a little changes against first version of SPEC file, there are results:

SPEC: https://gist.github.com/jakubjedelsky/7654715


rpmlints:
# there are warnings becouse of Summary (I used "asciinema.org" there) and missing man page
$ rpmlint asciinema.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint asciinema-0.9.7-2.fc19.src.rpm 
asciinema.src: W: name-repeated-in-summary C asciinema
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint asciinema-0.9.7-2.fc19.noarch.rpm 
asciinema.noarch: W: name-repeated-in-summary C asciinema
asciinema.noarch: W: no-manual-page-for-binary asciinema
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


and build (with srpm): http://koji.fedoraproject.org/koji/taskinfo?taskID=6247406
Comment 6 Jakub Jedelsky 2013-12-19 18:10:33 EST
Is there anyone for a review? :)
Comment 7 Christopher Meng 2013-12-20 00:40:50 EST
You need to find a sponsor proactively...
Comment 8 Michael Scherer 2014-01-11 12:36:31 EST
I guess I can sponsor you. Can you try to make, let's say, 2 informal review of two package of your choice ( nothing complex ) on https://fedoraproject.org/PackageReviewStatus/NEW.html ?

For example, perl or ruby package are usually quite simple, and then place the review here so I can check and then approve the package ?
Comment 9 Jakub Jedelsky 2014-01-16 19:03:16 EST
Hi Michael,

thanks for your offer. I made two (simple) reviews. They are exactly perl and ruby.. :)
rubygem-wikicloth: https://bugzilla.redhat.com/show_bug.cgi?id=1036320
perl-perlindex: https://bugzilla.redhat.com/show_bug.cgi?id=1053665
Comment 10 Jakub Jedelsky 2014-01-17 04:54:02 EST
I send a bad bug id on rubygem-wikicloth, the right one is https://bugzilla.redhat.com/show_bug.cgi?id=1039818
Comment 11 Michael Scherer 2014-01-25 17:35:33 EST
Let me check the rpm and I will sponsor you
Comment 12 Michael Scherer 2014-01-25 18:47:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel 
this is required by python guidelines 
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
The idea is that python-foo may switch to python3 one day so we need to be precise on the version

- CFLAGS="$RPM_OPT_FLAGS"  is uneeded for a noarch python package, since it 
is not compiled ( ie, just noarch, so CFALGS will not be used )

- the python_sitelib redefinition is not needed, unless you plan to build
for EPEL 5

- %clean is not needed, this is already done on newer rpm
- %defattr either

- missing Requires, asciicast use the command 'tput' ( asciinema/asciicast.py )
and reset ( ./asciinema/commands/record.py ), bot in ncurses

- %check is missing, and there is a test suite using nose ( so you need a buildRequires, and run nosetest )

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 33 files have unknown license. Detailed output of
     licensecheck in
     /home/misc/checkout/git/FedoraReview/1034492-asciinema/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: asciinema-0.9.7-1.fc20.noarch.rpm
          asciinema-0.9.7-1.fc20.src.rpm
asciinema.noarch: W: no-manual-page-for-binary asciinema
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint asciinema
asciinema.noarch: W: no-manual-page-for-binary asciinema
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
asciinema (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-requests



Provides
--------
asciinema:
    asciinema



Source checksums
----------------
https://github.com/sickill/asciinema/archive/v0.9.7.tar.gz :
  CHECKSUM(SHA256) this package     : 31d6ce91f497470d62a74ecb2899459e4bbce7aac2b0604d7bc3883a94a1a15f
  CHECKSUM(SHA256) upstream package : 31d6ce91f497470d62a74ecb2899459e4bbce7aac2b0604d7bc3883a94a1a15f


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Command line :./try-fedora-review -b 1034492
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 13 Jakub Jedelsky 2014-01-27 05:57:36 EST
SPEC: https://gist.github.com/jakubjedelsky/7654715
SRPM: http://s.stderr.cz/rpm/asciinema-0.9.7-3.fc20.src.rpm

%clean section, CFLAGS and python2-devel as BR was added earlier.

Changes:
removed python_sitelib for EPEL5
removed %defattr in %files section
added ncurses as required package
added %check section
- need a patch for non-interative shell
- need some BRs
Comment 14 Michael Scherer 2014-01-27 07:19:49 EST
Ok, package look good, I think I can declare it approved.

I have sponsored you in the packager group, so you can proceed according to https://fedoraproject.org/wiki/Package_Review_Process

If you wish, you should send a email to fedora-devel to present yourself, and if you have any questions regarding Fedora or the packaging, do not hesitate to contact me over email or irc. And welcome to the team :)
Comment 15 Jakub Jedelsky 2014-01-27 10:24:16 EST
New Package SCM Request
=======================
Package Name: asciinema
Short Description: Command line recorder for asciinema.org service
Owners: kubo
Branches: f19 f20 el6
Comment 16 Jon Ciesla 2014-01-27 10:35:58 EST
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-01-27 15:16:53 EST
asciinema-0.9.7-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-3.fc20
Comment 18 Fedora Update System 2014-01-27 15:18:17 EST
asciinema-0.9.7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-3.fc19
Comment 19 Christopher Meng 2014-01-27 20:03:12 EST
Hi,

Would you like to maintain EPEL7 branch?

This package is useful for me ;)
Comment 20 Fedora Update System 2014-01-28 03:58:34 EST
asciinema-0.9.7-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-4.fc19
Comment 21 Fedora Update System 2014-01-28 03:59:18 EST
asciinema-0.9.7-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-4.fc20
Comment 22 Fedora Update System 2014-01-28 04:00:22 EST
asciinema-0.9.7-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-4.el6
Comment 23 Fedora Update System 2014-01-28 16:08:00 EST
asciinema-0.9.7-4.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 24 Fedora Update System 2014-02-05 22:47:56 EST
asciinema-0.9.7-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-02-05 22:57:29 EST
asciinema-0.9.7-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Marcin Kulik 2014-02-06 04:17:51 EST
Hi,

I just installed the package on F19 and it crashed with this error:

    [vagrant@vagrant-fedora-19 ~]$ asciinema -h
    Traceback (most recent call last):
      File "/usr/bin/asciinema", line 5, in <module>
        from pkg_resources import load_entry_point
    ImportError: No module named pkg_resources

python-setuptools package was missing on this system. After installing python-setuptools it works fine. asciinema itself doesn't use pkg_resources so the generated binary is the one that assumes setuptools available.

I have used Fedora 19 Vagrant box for this which is a pretty slim VirtualBox image so it's possible that python installation on this image is not correct.

Is this something we should worry about?
Comment 27 Jakub Jedelsky 2014-02-06 05:15:51 EST
Hi Marcin,

thanks for message. I'll add this package as dependeny and push it out asap.
Comment 28 Fedora Update System 2014-02-06 08:13:13 EST
asciinema-0.9.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-5.el6
Comment 29 Fedora Update System 2014-02-06 08:14:13 EST
asciinema-0.9.7-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-5.fc19
Comment 30 Fedora Update System 2014-02-06 08:14:46 EST
asciinema-0.9.7-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/asciinema-0.9.7-5.fc20
Comment 31 Fedora Update System 2014-02-11 09:14:20 EST
asciinema-0.9.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/asciinema-0.9.8-1.fc20
Comment 32 Fedora Update System 2014-02-11 09:14:37 EST
asciinema-0.9.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/asciinema-0.9.8-1.fc19
Comment 33 Fedora Update System 2014-02-11 09:48:57 EST
asciinema-0.9.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/asciinema-0.9.8-1.el6
Comment 34 Fedora Update System 2014-02-21 19:52:26 EST
asciinema-0.9.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2014-02-21 20:03:40 EST
asciinema-0.9.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2014-03-01 02:10:06 EST
asciinema-0.9.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.